<template>
    <li>
        <h3>{{nombre}}</h3>
        <h4> Estatus: {{estatus}}</h4>
        <p>Fecha: {{dia}}</p>
        <p> Hora: {{hora}}</p>
        <div class="actions">
            <base-button link :to=detalleCitaLink>Ver</base-button>
        </div>
    </li>
</template>
<script>
export default {
    props:['id','nombre', 'hora','dia','estatus'],
    computed:{
        detalleCitaLink(){
            return this.$route.path + '/' + this.id;
        }
    }
}
</script>
<style scoped>
li {
  margin: 1rem 0;
  border: 1px solid #424242;
  border-radius: 12px;
  padding: 1rem;
  background-color: white;
}

h3 {
  font-size: 1.5rem;
}

h3,
h4 {
  margin: 0.5rem 0;
}

div {
  margin: 0.5rem 0;
}

.actions {
  display: flex;
  justify-content: flex-end;
}
</style>